{
  inputs.nixpkgs.url = "github:nixos/nixpkgs?rev=91050ea1e57e50388fa87a3302ba12d188ef723a";

  outputs = {nixpkgs, ...}: let
    systems = [
      "aarch64-linux"
      "x86_64-linux"
    ];

    forAllSystems = nixpkgs.lib.genAttrs systems;
  in {
    devShells = forAllSystems (system: let
      pkgs = nixpkgs.legacyPackages.${system};
    in {
      default = pkgs.mkShell {
        buildInputs = with pkgs; [
          (wineWowPackages.full.override {
            wineRelease = "staging";
            mingwSupport = true;
          })
          winetricks
        ];
      };
    });
  };
}
